# Delete a data extension

Deletes the data extension for a guest, including all the key-value pairs in the data extension.

To delete certain key-value pairs only, use the Delete key-value pairs from a data extension endpoint instead.

Endpoint: DELETE /v2.1/guests/{guestRef}/extensions/{dataExtensionName}
Version: v2.1
Security: BasicAuth

## Security:

  - `BasicAuth` (unknown)
    http basic

## Path parameters:

  - `guestRef` (string, required)

  - `dataExtensionName` (string, required)

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 404:

  - `404` (unknown)
    Guest data extension not found

## Response 404 fields (application/json):

  - `code` (integer)
    The HTTP response status code.
    Example: 404

  - `developerMessage` (string)
    Error description for developers.
    Example: Guest with ref f7aabbca-1c1b-4fc2-be72-3e16294a4f03a for client key {...} was not found

  - `message` (string)
    Error description.
    Example: The specified resource does not exist.

  - `moreInfoUrl` (string)
    URL to get more information about the error.
    Example: https://support.sitecore.com

  - `status` (integer)
    The HTTP request status.
    Example: 404

